///////////////////////////////////////////////////////////////////////////////
//
//                             A  C  S  N
//
// +---------------  Alaska Certified Solutions Network  -------------------+
// |                                                                        |
// |        This file is to be proved and certified by Alaska Software      |
// |                                                                        |
// |                   No: <experimental>                                   |
// |                                                                        |
// |   For more information about ACSN read the appropriate announcement    |
// |              or scan for ACSN in the Alaska Support-LIBs               |
// |                   at WWW.ALASKA-SOFTWARE.COM                           |
// |                                                                        |
// +------------------------------------------------------------------------+
//
// FILE NAME
//
//    bap.ch
//
// AUTHOR
//
//    (c) Copyright 2000, Gernot Trautmann
//
//    ALL RIGHTS RESERVED
//
//    This file is the property of AUTHOR. It participates in the
//    Alaska Certified Solutions Network program. Permission to use, 
//    copy, modify, and distribute this software for any purpose and 
//    without fee is hereby granted, provided that the above copyright 
//    notice appear in all copies and that the name of the author or
//    Alaska Software not be used in advertising or publicity pertaining 
//    to distribution of the software without specific, written prior 
//    permission. 
//
// WARRANTY
//
//    THE MATERIAL EMBODIED ON THIS SOFTWARE IS PROVIDED TO YOU "AS-IS"
//    AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE,
//    INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR
//    FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT SHALL THE AUTHOR
//    OR ALASKA SOFTWARE BE LIABLE TO YOU OR ANYONE ELSE FOR ANY DIRECT,
//    SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, 
//    INCLUDING WITHOUT LIMITATION, LOSS OF PROFIT AND LOSS OF USE.
//
// DESCRIPTION
//
//    callback type defines
//
// REMARKS
//
//    The current implementation is not thread-safe, and it only
//    covers a small range of applications.
//
// HISTORY
//
//    26.09.2000 GT creation of file
//
///////////////////////////////////////////////////////////////////////////////

#ifndef __BAP_CH

#define __BAP_CH

/* defines for BaCallBack() */

// special defines
#define BA_CB_LPOFNHOOKPROC  100
#define BA_CB_ADDZIP         200

/* generic defines:
 * the number designates the number 
 * of parameters passed
 */
#define BA_CB_GENERIC1       401
#define BA_CB_GENERIC2       402
#define BA_CB_GENERIC3       403
#define BA_CB_GENERIC4       404

#pragma library ("bap.lib")
#endif